> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metabind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Saved Search

> Delete a saved search

## Path Parameters

<ParamField path="organizationId" type="string" required>
  Organization ID
</ParamField>

<ParamField path="projectId" type="string" required>
  Project ID
</ParamField>

<ParamField path="id" type="string" required>
  Saved search ID
</ParamField>

## Response

```json theme={null}
{
  "data": {
    "message": "Saved search successfully deleted",
    "id": "ss123"
  }
}
```

## Error Responses

### Saved Search Not Found

```json theme={null}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Saved search not found"
  }
}
```

## Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123" \
    -H "Authorization: Bearer YOUR_JWT"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123',
    {
      method: 'DELETE',
      headers: {
        'Authorization': 'Bearer YOUR_JWT'
      }
    }
  );

  const result = await response.json();
  console.log(result.data.message);
  ```

  ```swift Swift theme={null}
  var request = URLRequest(url: URL(string: "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123")!)
  request.httpMethod = "DELETE"
  request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")

  let (data, _) = try await URLSession.shared.data(for: request)
  ```

  ```kotlin Kotlin theme={null}
  val response = client.delete("https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123") {
      header("Authorization", "Bearer YOUR_JWT")
  }

  println("Deleted saved search")
  ```
</CodeGroup>
